%global         pypi_name      healpy
%global __brp_check_rpaths %{nil}

Name:           python-healpy
Version:        1.18.0
Release:        %mkrel 3
Summary:        Healpix tools package for Python
License:        GPLv2
Group:          Development/Python

URL:            https://pypi.python.org/pypi/healpy
Source0:        https://pypi.python.org/packages/source/h/healpy/healpy-%{version}.tar.gz

#remove unnecessary dep to pykg-config package
Patch0:         healpy-1.18.0-removejunk.patch


BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(healpix_cxx)
BuildRequires:  pkgconfig(pkg-config)

Conflicts:      python-healpix
Obsoletes:      python-healpix <= 3.11
Provides:       healpy = %{version}-%{release}

%description
Healpy provides a python package to manipulate Healpix maps. It is
based on the standard numeric and visualization tools for Python,
Numpy.


%package -n python3-healpy
Summary:        Python3 implementation of Healpy
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-astropy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-pytest-runner
BuildRequires:  python3dist(cython)

%description -n python3-healpy
Healpy provides a python package to manipulate Healpix maps. It is
based on the standard numeric and visualization tools for Python,
Numpy.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files healpy


%files -n python3-healpy -f %{pyproject_files}
%{_bindir}/healpy_get_wmap_maps.sh


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.18.0-3.mga10
+ Revision: 2241844
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.18.0-2.mga10
+ Revision: 2158284
- rebuild for python3.13

* Sat Dec 07 2024 eatdirt <eatdirt> 1.18.0-1.mga10
+ Revision: 2122567
- Update to version 1.18.0

* Tue Oct 29 2024 daviddavid <daviddavid> 1.16.6-1.mga10
+ Revision: 2111701
- new version: 1.16.6

* Fri Feb 23 2024 daviddavid <daviddavid> 1.16.1-2.mga10
+ Revision: 2043445
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 1.16.1-1.mga9
+ Revision: 1884877
- New version  1.16.1

* Wed Apr 06 2022 umeabot <umeabot> 1.15.2-2.mga9
+ Revision: 1846139
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.15.2-1.mga9
+ Revision: 1784414
- version 1.15.2
- rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 1.15.0-1.mga9
+ Revision: 1743032
- Fix missing BR to cython
- update to version 1.15.0

* Tue Apr 20 2021 daviddavid <daviddavid> 1.14.0-2.mga9
+ Revision: 1717338
- rebuild for python 3.9

* Wed Aug 19 2020 joequant <joequant> 1.14.0-1.mga8
+ Revision: 1615557
- update to 1.14

* Sat Jul 11 2020 eatdirt <eatdirt> 1.13.0-1.mga8
+ Revision: 1605236
- Upgrade to version 1.13.0

* Sun Feb 16 2020 umeabot <umeabot> 1.12.8-4.mga8
+ Revision: 1534953
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.12.8-3.mga8
+ Revision: 1443312
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 1.12.8-2.mga7
+ Revision: 1351692
- rebuild with python 3.7

* Fri Dec 14 2018 eatdirt <eatdirt> 1.12.8-1.mga7
+ Revision: 1341194
- Upgrade to version 1.12.8

* Sun Sep 23 2018 umeabot <umeabot> 1.12.3-3.mga7
+ Revision: 1300496
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.12.3-2.mga7
+ Revision: 1250039
- Fix missing Obsolete

* Tue Aug 07 2018 eatdirt <eatdirt> 1.12.3-1.mga7
+ Revision: 1248740
- Add missing BR, repackaging of python2
- Upgrade to version 1.12.3

* Sat Aug 05 2017 pterjan <pterjan> 1.10.3-2.mga7
+ Revision: 1135447
- Rebuild for python 3.6

* Mon May 29 2017 eatdirt <eatdirt> 1.10.3-1.mga6
+ Revision: 1105494
- Update to version 1.10.3

* Thu Dec 01 2016 eatdirt <eatdirt> 1.10.1-1.mga6
+ Revision: 1071458
- Upgrade to version 1.10.1

* Fri Mar 11 2016 eatdirt <eatdirt> 1.9.1-1.mga6
+ Revision: 989260
- Upgrade to version 1.9.1

* Fri Feb 19 2016 umeabot <umeabot> 1.9.0-2.mga6
+ Revision: 970723
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 eatdirt <eatdirt> 1.9.0-1.mga6
+ Revision: 888046
- Upgrade to version 1.9.0, add python3 modules

* Fri Dec 05 2014 eatdirt <eatdirt> 1.8.1-1.mga5
+ Revision: 801612
- Upgrade to version 1.8.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-5.mga5
+ Revision: 741078
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.3-4.mga5
+ Revision: 728731
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-3.mga5
+ Revision: 688078
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Feb 25 2014 eatdirt <eatdirt> 1.7.3-1.mga5
+ Revision: 597206
- Upgrade to version 1.7.3, fix conflicts with obsoleted python-healpix

* Tue Oct 22 2013 umeabot <umeabot> 1.6.2-6.mga4
+ Revision: 543439
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.2-5.mga4
+ Revision: 498717
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 1.6.2-4.mga4
+ Revision: 459750
- reset pythonegg to use astropy

* Sun Jul 28 2013 joequant <joequant> 1.6.2-3.mga4
+ Revision: 459350
- change to python-astropy

* Sat Jul 27 2013 joequant <joequant> 1.6.2-2.mga4
+ Revision: 459032
- remove pyfits dependency

* Thu Jul 25 2013 joequant <joequant> 1.6.2-1.mga4
+ Revision: 458005
- add setuptools
- imported package python-healpy

